%define _name tuxtype

Name: tuxtype2
Version: 1.5.3
Release: alt1

Summary: Tux Typing - Graphical, educational typing tutorial game
Summary(ru_RU.KOI8-R):      
Group: Games/Educational
License: GPL
Url: http://www.geekcomix.com/dm/tuxtype/
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/%name/%_name-%version.tar.bz2
Source1: %_name-48x48.xpm
Source2: %_name-32x32.xpm
Source3: %_name-16x16.xpm

# Thanks Anton Boyarshinov
Patch: %name-1.5.3-alt-locale.patch

# Automatically added by buildreq on Thu May 27 2004
BuildRequires: XFree86-devel XFree86-libs esound freetype2 gcc-c++ libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_ttf-devel libstdc++-devel

%description
Educational typing tutor starring Tux, the Linux Penguin. Object of
the game is to catch fish as they drop from the top of the screen.
Each fish has a letter or a word written on it, and Tux eats the fish
by the player pressing the associated key or typing the appropriate
word. Intended to be cute and fun for children learning to type and
spell.

%description -l ru_RU.KOI8-R
Tux Typing - -    
 .

%prep
%setup -q -n %_name-%version
%patch -p1

# fix paths
find ./ -type f -print0|xargs -r0 \
%__subst 's,\/usr\/share,%_gamesdatadir,g
s,\$(prefix)\/share,%_gamesdatadir,g' --

%build
autoreconf -isfv
%configure \
	--datadir=%_gamesdatadir \
	--bindir=%_gamesbindir \

%make_build

%install
%make DESTDIR=%buildroot install

# menu and icons
%__cat <<__MENU__ >%name.menu
?package(%name): needs="x11" section="Amusement/Educational" \
title="Tux Typing 2" longtitle="Tux Typing - educational typing game" \
command="%_gamesbindir/%name" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

# move html docs in separate folder
%__mkdir HTML
%__cp %_name/docs/en/*.html HTML

%post
%update_menus

%postun
%clean_menus

%files
%_gamesbindir/%name
%_gamesdatadir/%name
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
%_menudir/%name
%doc README AUTHORS TODO 
%doc %_name/data/*/*.TXT* HTML

%changelog
* Wed Jul 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.3-alt1
- fixed menu file.

* Tue May 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.5.3-alt0.5
- tuxtype2-1.5.3 from CVS.
- fixed for none-C locale input by Anton Boyarshinov.

* Wed Apr 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt4
- rebuild with latest directfb.

* Fri Mar 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt3
- rebuild with new directfb.

* Sun Nov 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt2
- Rebuilt with new libdirectfb.

* Mon Sep 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Thu May 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt4
- Rebuilt (wrong dependence on oldalsa fixed, libSDL requires libalsa2) 
- BuildRequires updated.

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt3
- cleanups

* Mon Jan 14 2002 Yuri N. Sedunov <aristarh@altlinux.ru> 1.0.1-alt2
- Some spec cleanups.
- Russian summary and description added.

* Fri Nov 9 2001 Yuri N. Sedunov <aristarh@altlinux.ru> 1.0.1-alt1
- First build for Sisyphus.
